Subject: [lojban] Re: Sets and classes

From: Jordan DeLong <[email-masked]>
Date: Sat, 21 Sep 2002 23:56:00 -0500

On Sun, Sep 22, 2002 at 04:13:51AM +0000, Jorge Llambias wrote:
> la djorden cusku di'e
> >Saying that containing 0 things is the same as not being a container
> >would be pretty broken, though.
> 
> If it contains 0 things it is not containing. With Lojban it is
> usually more intuitive to think of predicates as verbs.

Sure it isn't containing, but ja'a it is a container. Lojban's
brivla places claim more than just the relationship to the other
places. For example, as we were discussing earlier, putting something
in x1 of carce claims that it has wheels, even though there is no
place for the wheels.

si'a putting something in x1 of selcmi claims it is a set in addition
to claiming it has the member(s) in x2.

It's just plain unfair to 0 to say that it's not on-par with the other
numbers here. ;P

> >We shouldn't just deny that 0 is a
> >valid number.
> 
> Nobody is denying that.

If you say that there's a special provision that if a selcmi contains
0 things it isn't a selcmi, then you are treating 0 special.

> >su'o da selcmi node ==
> >su'o da selcmi naku de ==
> >su'o da naku de zo'u da selcmi de ==
> >naku roda de zo'u da selcmi de
> >It is false that, for all X there is a Y such that X is a set
> >containing Y.
> >
> >i.e., that says exactly what you'd expect from the the first one:
> >	su'o da selcmi node
> >	there is at least one set which contains nothing.
> 
> It says there is at least one thing that is not a selcmi of
> anything, but nowhere does it say that that thing is a set.

Yes it does. It is in x1 of selcmi. Of course, the assertion *can*
be a false one (as you would likely contend). But my point is that
da selcmi node
isn't the same as
da na selcmi

(though, it would of course be the same as da na selcmi de).

> >I don't see why you can't have it be a selcmi be noda. 0 is as valid
> >a number as anything else.
> 
> Then would you say too that {lo patfu be noda} is a member of
> {lo'i patfu}?

I don't know about that one. Maybe, maybe not. It seems that
x1 of patfu doesn't make an additional claim about x1, like carce
does about wheels, so maybe not.

However I think lo klama be fi noda is a member of lo'i klama, so
you can use that if you want :)

> A better gloss for {selcmi} might be "membered thing".
> Is the empty set a "membered thing"?

It is as much as nonempty sets are.

-- 
Jordan DeLong - [email-masked]
lu zo'o loi censa bakni cu terzba le zaltapla poi xagrai li'u
sei la mark. tuen. cusku